Package org.eclipse.rdf4j.sail.shacl.results.lazy

## Class LazyValidationReport

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.results.ValidationReport
  - - org.eclipse.rdf4j.sail.shacl.results.lazy.LazyValidationReport

-     @InternalUseOnly
      public class LazyValidationReport
      extends ValidationReport

  A ValidationReport that will defer calculating any ValidationResults until the user asks for them

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.results.ValidationReport

      `conforms, id, truncated, validationResult`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LazyValidationReport​(List<ValidationResultIterator> validationResultIterators, long limit)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Model` | `asModel()` |
    `Model` | `asModel​(Model model)` |
    `boolean` | `conforms()` |
    `Resource` | `getId()` |
    `List<ValidationResult>` | `getValidationResult()` |
    `boolean` | `isTruncated()` | Users can enable a limit for the number of validation results they want to accept.
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.results.ValidationReport

      `addValidationResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyValidationReport

          public LazyValidationReport​(List<ValidationResultIterator> validationResultIterators,
                                      long limit)

  - ### Method Detail

    - #### asModel

          public Model asModel​(Model model)

      Overrides:
        `asModel` in class `ValidationReport`

    - #### asModel

          public Model asModel()

      Overrides:
        `asModel` in class `ValidationReport`

    - #### getId

          public Resource getId()

      Overrides:
        `getId` in class `ValidationReport`

    - #### conforms

          public boolean conforms()

      Overrides:
        `conforms` in class `ValidationReport`
      Returns:
        false if the changes violated a SHACL Shape

    - #### getValidationResult

          public List<ValidationResult> getValidationResult()

      Overrides:
        `getValidationResult` in class `ValidationReport`
      Returns:
        list of ValidationResult with more information about each violation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ValidationReport`

    - #### isTruncated

          public boolean isTruncated()

      Description copied from class: `ValidationReport`
      Users can enable a limit for the number of validation results they want to accept. If the limit is reached the report will be marked as truncated.
      Overrides:
        `isTruncated` in class `ValidationReport`
      Returns:
        true if this SHACL validation report has been truncated.